Notification inbox

List Notification Inbox Items

GET
/orgs/{organizationId}/notification-inbox

Lists the notifications sent to the caller, newest first, one item per notification whatever the number of channels. Pass unread=true for unread items only.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""notificationType""notificationName""metadata""source""externalSource""externalReference""createdByApiKeyId""createdByApiKeyName""customerId""invoiceId""paymentId""triggeredByUserId""recipientUserId""recipientReadAt""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
createdByApiKeyId?string|array<string>|null
customerId?string|array<string>|null
invoiceId?string|array<string>|null
paymentId?string|array<string>|null
triggeredByUserId?string|array<string>|null
notificationType?|array<>|
source?|array<>|
createdAt?|null
updatedAt?|null
notificationName?string|array<string>|
externalSource?string|array<string>|
externalReference?string|array<string>|
createdByApiKeyName?string|array<string>|
metadata?
hasEmailDeliveries?boolean|string|number|null
hasNoEmailDeliveries?boolean|string|number|null
hasSmsDeliveries?boolean|string|number|null
hasNoSmsDeliveries?boolean|string|number|null
hasPostDeliveries?boolean|string|number|null
hasNoPostDeliveries?boolean|string|number|null
hasWhatsappDeliveries?boolean|string|number|null
hasNoWhatsappDeliveries?boolean|string|number|null
hasPushDeliveries?boolean|string|number|null
hasNoPushDeliveries?boolean|string|number|null
hasVoiceDeliveries?boolean|string|number|null
hasNoVoiceDeliveries?boolean|string|number|null
emailDeliveryId?string|array<string>|
smsDeliveryId?string|array<string>|
postDeliveryId?string|array<string>|
whatsappDeliveryId?string|array<string>|
pushDeliveryId?string|array<string>|
voiceDeliveryId?string|array<string>|
hasCustomer?boolean|string|number|null
hasNoCustomer?boolean|string|number|null
hasInvoice?boolean|string|number|null
hasNoInvoice?boolean|string|number|null
hasPayment?boolean|string|number|null
hasNoPayment?boolean|string|number|null
hasTriggeredByUser?boolean|string|number|null
hasNoTriggeredByUser?boolean|string|number|null
unread?boolean|string|number|null

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/notification-inbox'
null